> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload equity vol grids



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/UploadEquityVolGrids
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/UploadEquityVolGrids:
    post:
      tags:
        - MarketData
      summary: Upload equity vol grids
      operationId: UploadEquityVolGrids
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiUploadEquityVolGridsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiUploadEquityVolGridsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiUploadEquityVolGridsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiUploadEquityVolGridsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUploadEquityVolGridsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiUploadEquityVolGridsRequest:
      example:
        equity_vol_grids:
          - asset_id:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - asset_id:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        use_best_effort: true
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        use_best_effort:
          type: boolean
        equity_vol_grids:
          items:
            $ref: '#/components/schemas/EquityVolGrid'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiUploadEquityVolGridsResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiUploadEquityVolGridsResponse,
              Derivitec.Web.Core
    EquityVolGrid:
      example:
        asset_id:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        provider_id:
          nullable: true
          type: string
        maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        strikes:
          items:
            items:
              format: double
              type: number
            type: array
          nullable: true
          type: array
        strike_type:
          enum:
            - absolute
            - percent_spot
            - percent_forward
          type: string
        spot_ref:
          format: double
          nullable: true
          type: number
        vols:
          items:
            items:
              format: double
              type: number
            type: array
          nullable: true
          type: array
        asset_id:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityVolGrid, Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````